Account Management
Accounts
GET
/
accounts
Accounts
curl --request GET \
--url https://demand.researchdesk.com/accounts \
--header 'Authorization: <api-key>'import requests
url = "https://demand.researchdesk.com/accounts"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://demand.researchdesk.com/accounts', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_accounts": 1,
"page": 1,
"page_size": 50,
"accounts": [
{
"id": "1",
"name": "Rep Data",
"description": "Rep Data Deamnd API Account",
"users": [
"5",
"12"
]
}
]
}Rate limit: 10 requests/second
Query String Parameters
| Parameter | Description | Required | Example |
|---|---|---|---|
account_ids | Comma delimited value of account IDs for which associated user objects will be returned. | No; if ommitted, all accounts for which there is an account association with the calling user will be returned | account_ids=1,2,3 |
Authorizations
Authentication token to be sent directly in the Authorization header (no '' prefix).
Query Parameters
Comma-delimited list of Account IDs to retrieve.
Was this page helpful?
⌘I
Accounts
